#menu-close-btn {
  position: fixed;
  top: calc(env(safe-area-inset-top, 0px) + 20px);
  right: max(env(safe-area-inset-right), 2%);
  width: 46px;
  height: 46px;
  border-radius: 50%;
  background: radial-gradient(100% 100% at 50% 0%, #B7C9E9 0%, #92A6CA 57.77%, #717FA9 100%);
  place-items: center;
  pointer-events: auto;
}

#rules-close-btn svg, #history-close-btn svg, #menu-close-btn svg {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.menu-overlay {
  pointer-events: auto;
  padding: calc(env(safe-area-inset-top, 0) + 75px) max(env(safe-area-inset-right), 2%) clamp(8px, 2vh, 18px) max(env(safe-area-inset-left, 0), 8px);
}
